﻿using System.Windows.Forms;
using System.Drawing.Drawing2D;

namespace FormPicboxAndWpfImgTest
{
	class PictureBoxHQ : PictureBox
	{
		private InterpolationMode paintQuality = InterpolationMode.HighQualityBicubic;	//最も高画質
		//private InterpolationMode paintQuality = InterpolationMode.HighQualityBilinear;	//高画質
		//private InterpolationMode paintQuality = InterpolationMode.Bilinear;	//デフォルト（モノクロ8bit画像でモアレが目立つ）
		//private InterpolationMode paintQuality = InterpolationMode.NearestNeighbor;	//補間なし

		protected override void OnPaint(PaintEventArgs pea)
		{
			pea.Graphics.InterpolationMode = paintQuality;
			base.OnPaint(pea);
		}
	}
}
